<?xml version="1.0" encoding="utf-8"?>
<Project DefaultTargets="Build" ToolsVersion="15.0" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <ItemGroup Label="ProjectConfigurations">
    <ProjectConfiguration Include="Debug|Win32">
      <Configuration>Debug</Configuration>
      <Platform>Win32</Platform>
    </ProjectConfiguration>
    <ProjectConfiguration Include="Release|Win32">
      <Configuration>Release</Configuration>
      <Platform>Win32</Platform>
    </ProjectConfiguration>
    <ProjectConfiguration Include="Debug|x64">
      <Configuration>Debug</Configuration>
      <Platform>x64</Platform>
    </ProjectConfiguration>
    <ProjectConfiguration Include="Release|x64">
      <Configuration>Release</Configuration>
      <Platform>x64</Platform>
    </ProjectConfiguration>
  </ItemGroup>
  <PropertyGroup Label="Globals">
    <VCProjectVersion>15.0</VCProjectVersion>
    <ProjectGuid>{6B8DE927-EB85-4C46-99B8-3B40CA1A0864}</ProjectGuid>
    <Keyword>Win32Proj</Keyword>
    <RootNamespace>VPCmdIF</RootNamespace>
    <WindowsTargetPlatformVersion>10.0.15063.0</WindowsTargetPlatformVersion>
    <SccProjectName>
    </SccProjectName>
    <SccLocalPath>
    </SccLocalPath>
    <SccProvider>
    </SccProvider>
  </PropertyGroup>
  <Import Project="$(VCTargetsPath)\Microsoft.Cpp.Default.props" />
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'" Label="Configuration">
    <ConfigurationType>DynamicLibrary</ConfigurationType>
    <UseDebugLibraries>true</UseDebugLibraries>
    <PlatformToolset>v140</PlatformToolset>
    <CharacterSet>Unicode</CharacterSet>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|Win32'" Label="Configuration">
    <ConfigurationType>DynamicLibrary</ConfigurationType>
    <UseDebugLibraries>false</UseDebugLibraries>
    <PlatformToolset>v140</PlatformToolset>
    <WholeProgramOptimization>true</WholeProgramOptimization>
    <CharacterSet>Unicode</CharacterSet>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|x64'" Label="Configuration">
    <ConfigurationType>DynamicLibrary</ConfigurationType>
    <UseDebugLibraries>true</UseDebugLibraries>
    <PlatformToolset>v140</PlatformToolset>
    <CharacterSet>Unicode</CharacterSet>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|x64'" Label="Configuration">
    <ConfigurationType>DynamicLibrary</ConfigurationType>
    <UseDebugLibraries>false</UseDebugLibraries>
    <PlatformToolset>v140</PlatformToolset>
    <WholeProgramOptimization>true</WholeProgramOptimization>
    <CharacterSet>Unicode</CharacterSet>
  </PropertyGroup>
  <Import Project="$(VCTargetsPath)\Microsoft.Cpp.props" />
  <ImportGroup Label="ExtensionSettings">
  </ImportGroup>
  <ImportGroup Label="Shared">
  </ImportGroup>
  <ImportGroup Label="PropertySheets" Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'">
    <Import Project="$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props" Condition="exists('$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props')" Label="LocalAppDataPlatform" />
  </ImportGroup>
  <ImportGroup Label="PropertySheets" Condition="'$(Configuration)|$(Platform)'=='Release|Win32'">
    <Import Project="$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props" Condition="exists('$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props')" Label="LocalAppDataPlatform" />
  </ImportGroup>
  <ImportGroup Label="PropertySheets" Condition="'$(Configuration)|$(Platform)'=='Debug|x64'">
    <Import Project="$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props" Condition="exists('$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props')" Label="LocalAppDataPlatform" />
  </ImportGroup>
  <ImportGroup Label="PropertySheets" Condition="'$(Configuration)|$(Platform)'=='Release|x64'">
    <Import Project="$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props" Condition="exists('$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props')" Label="LocalAppDataPlatform" />
  </ImportGroup>
  <PropertyGroup Label="UserMacros" />
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'">
    <LinkIncremental>false</LinkIncremental>
    <OutDir>$(SolutionDir)$(Platform)\$(Configuration)\dll\</OutDir>
    <IntDir>$(Platform)\$(Configuration)\</IntDir>
    <ExecutablePath>$(WindowsSdkDir)bin\$(TargetPlatformVersion)\$(PlatformTarget);$(VC_ExecutablePath_x86);$(WindowsSDK_ExecutablePath);$(VS_ExecutablePath);$(MSBuild_ExecutablePath);$(SystemRoot)\SysWow64;$(FxCopDir);$(PATH);</ExecutablePath>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|x64'">
    <LinkIncremental>false</LinkIncremental>
    <OutDir>$(SolutionDir)$(Platform)\$(Configuration)\dll\</OutDir>
    <ExecutablePath>$(WindowsSdkDir)bin\$(TargetPlatformVersion)\$(PlatformTarget);$(VC_ExecutablePath_x64);$(WindowsSDK_ExecutablePath);$(VS_ExecutablePath);$(MSBuild_ExecutablePath);$(FxCopDir);$(PATH);</ExecutablePath>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|Win32'">
    <LinkIncremental>false</LinkIncremental>
    <OutDir>$(SolutionDir)$(Platform)\$(Configuration)\dll\</OutDir>
    <IntDir>$(Platform)\$(Configuration)\</IntDir>
    <ExecutablePath>$(WindowsSdkDir)bin\$(TargetPlatformVersion)\$(PlatformTarget);$(VC_ExecutablePath_x86);$(WindowsSDK_ExecutablePath);$(VS_ExecutablePath);$(MSBuild_ExecutablePath);$(SystemRoot)\SysWow64;$(FxCopDir);$(PATH);</ExecutablePath>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|x64'">
    <LinkIncremental>false</LinkIncremental>
    <OutDir>$(SolutionDir)$(Platform)\$(Configuration)\dll\</OutDir>
    <ExecutablePath>$(WindowsSdkDir)bin\$(TargetPlatformVersion)\$(PlatformTarget);$(VC_ExecutablePath_x64);$(WindowsSDK_ExecutablePath);$(VS_ExecutablePath);$(MSBuild_ExecutablePath);$(FxCopDir);$(PATH);</ExecutablePath>
  </PropertyGroup>
  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'">
    <ClCompile>
      <PrecompiledHeader>
      </PrecompiledHeader>
      <WarningLevel>Level3</WarningLevel>
      <Optimization>Disabled</Optimization>
      <PreprocessorDefinitions>VPSERIO_STATIC;VPUSB_STATIC;WIN32;_DEBUG;_WINDOWS;_USRDLL;VPCMDIF_EXPORTS;POLHEMUS_EXPORTS;PDEBUG_EXPORT;%(PreprocessorDefinitions)</PreprocessorDefinitions>
      <AdditionalIncludeDirectories>$(ProjectDir)Inc;$(SolutionDir)Inc</AdditionalIncludeDirectories>
      <RuntimeLibrary>MultiThreadedDebug</RuntimeLibrary>
    </ClCompile>
    <Link>
      <SubSystem>Windows</SubSystem>
      <AdditionalLibraryDirectories>$(SolutionDir)$(Platform)\$(Configuration)\lib</AdditionalLibraryDirectories>
      <AdditionalDependencies>vpserio.lib;vplibusb.lib;kernel32.lib;user32.lib;gdi32.lib;winspool.lib;comdlg32.lib;advapi32.lib;shell32.lib;ole32.lib;oleaut32.lib;uuid.lib;odbc32.lib;odbccp32.lib;%(AdditionalDependencies)</AdditionalDependencies>
      <GenerateDebugInformation>true</GenerateDebugInformation>
      <SuppressStartupBanner>false</SuppressStartupBanner>
      <ShowProgress>NotSet</ShowProgress>
    </Link>
    <PostBuildEvent>
      <Command>@echo POST-BUILD-EVENT $(ProjectName) $(Platform) $(Configuration)
@xcopy /F /Y /D $(ProjectDir)Inc\*.h "$(SolutionDir)Inc\"
:: @xcopy /F /Y /D  $(TargetPath) "$(SolutionDir)..\VPuny\LetsTryShooter\$(Configuration)_Build_$(Platform)\LetsTryShooter_Data\Plugins\"</Command>
    </PostBuildEvent>
    <PreBuildEvent>
      <Command>if not exist "$(SolutionDir)Inc" mkdir "$(SolutionDir)Inc"</Command>
    </PreBuildEvent>
  </ItemDefinitionGroup>
  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='Debug|x64'">
    <ClCompile>
      <PrecompiledHeader>
      </PrecompiledHeader>
      <WarningLevel>Level3</WarningLevel>
      <Optimization>Disabled</Optimization>
      <PreprocessorDefinitions>VPSERIO_STATIC;VPUSB_STATIC;_DEBUG;_WINDOWS;_USRDLL;VPCMDIF_EXPORTS;POLHEMUS_EXPORTS;PDEBUG_EXPORT;%(PreprocessorDefinitions)</PreprocessorDefinitions>
      <AdditionalIncludeDirectories>$(ProjectDir)Inc;$(SolutionDir)Inc</AdditionalIncludeDirectories>
      <RuntimeLibrary>MultiThreadedDebug</RuntimeLibrary>
    </ClCompile>
    <Link>
      <SubSystem>Windows</SubSystem>
      <AdditionalLibraryDirectories>$(SolutionDir)$(Platform)\$(Configuration)\lib</AdditionalLibraryDirectories>
      <AdditionalDependencies>vpserio.lib;vplibusb.lib;libusb-1.0.lib;kernel32.lib;user32.lib;gdi32.lib;winspool.lib;comdlg32.lib;advapi32.lib;shell32.lib;ole32.lib;oleaut32.lib;uuid.lib;odbc32.lib;odbccp32.lib;%(AdditionalDependencies)</AdditionalDependencies>
      <SuppressStartupBanner>false</SuppressStartupBanner>
      <GenerateDebugInformation>true</GenerateDebugInformation>
    </Link>
    <PostBuildEvent>
      <Command>@echo POST-BUILD-EVENT $(ProjectName) $(Platform) $(Configuration)
@xcopy /F /Y /D $(ProjectDir)Inc\*.h "$(SolutionDir)Inc\"
@xcopy /F /Y /D  $(TargetPath) "$(SolutionDir)..\VPuny\LetsTryShooter\$(Configuration)_Build_$(Platform)\LetsTryShooter_Data\Plugins\"
@xcopy /F /Y /D  $(TargetPath) "$(SolutionDir)..\VPuny\LetsTryShooter\Assets\Plugins\"</Command>
    </PostBuildEvent>
    <PreBuildEvent>
      <Command>if not exist "$(SolutionDir)Inc" mkdir "$(SolutionDir)Inc"</Command>
    </PreBuildEvent>
  </ItemDefinitionGroup>
  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='Release|Win32'">
    <ClCompile>
      <WarningLevel>Level3</WarningLevel>
      <PrecompiledHeader>
      </PrecompiledHeader>
      <Optimization>MaxSpeed</Optimization>
      <FunctionLevelLinking>
      </FunctionLevelLinking>
      <IntrinsicFunctions>true</IntrinsicFunctions>
      <PreprocessorDefinitions>VPSERIO_STATIC;VPUSB_STATIC;WIN32;NDEBUG;_WINDOWS;_USRDLL;VPCMDIF_EXPORTS;POLHEMUS_EXPORTS;PDEBUG_EXPORT;%(PreprocessorDefinitions)</PreprocessorDefinitions>
      <AdditionalIncludeDirectories>$(ProjectDir)Inc;$(SolutionDir)Inc</AdditionalIncludeDirectories>
      <RuntimeLibrary>MultiThreaded</RuntimeLibrary>
      <FavorSizeOrSpeed>Speed</FavorSizeOrSpeed>
      <OmitFramePointers>true</OmitFramePointers>
    </ClCompile>
    <Link>
      <SubSystem>Windows</SubSystem>
      <EnableCOMDATFolding>true</EnableCOMDATFolding>
      <OptimizeReferences>true</OptimizeReferences>
      <AdditionalLibraryDirectories>$(SolutionDir)$(Platform)\$(Configuration)\lib</AdditionalLibraryDirectories>
      <AdditionalDependencies>vpserio.lib;vplibusb.lib;libusb-1.0.lib;kernel32.lib;user32.lib;gdi32.lib;winspool.lib;comdlg32.lib;advapi32.lib;shell32.lib;ole32.lib;oleaut32.lib;uuid.lib;odbc32.lib;odbccp32.lib;%(AdditionalDependencies)</AdditionalDependencies>
      <Profile>false</Profile>
    </Link>
    <PostBuildEvent>
      <Command>@echo POST-BUILD-EVENT $(ProjectName) $(Platform) $(Configuration)
@xcopy /F /Y /D $(ProjectDir)Inc\*.h "$(SolutionDir)Inc\"</Command>
    </PostBuildEvent>
    <PreBuildEvent>
      <Command>if not exist "$(SolutionDir)Inc" mkdir "$(SolutionDir)Inc"</Command>
    </PreBuildEvent>
  </ItemDefinitionGroup>
  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='Release|x64'">
    <ClCompile>
      <WarningLevel>Level3</WarningLevel>
      <PrecompiledHeader>
      </PrecompiledHeader>
      <Optimization>MaxSpeed</Optimization>
      <FunctionLevelLinking>
      </FunctionLevelLinking>
      <IntrinsicFunctions>true</IntrinsicFunctions>
      <PreprocessorDefinitions>VPSERIO_STATIC;VPUSB_STATIC;NDEBUG;_WINDOWS;_USRDLL;VPCMDIF_EXPORTS;POLHEMUS_EXPORTS;PDEBUG_EXPORT;%(PreprocessorDefinitions)</PreprocessorDefinitions>
      <AdditionalIncludeDirectories>$(ProjectDir)Inc;$(SolutionDir)Inc</AdditionalIncludeDirectories>
      <RuntimeLibrary>MultiThreaded</RuntimeLibrary>
      <FavorSizeOrSpeed>Speed</FavorSizeOrSpeed>
      <BufferSecurityCheck>false</BufferSecurityCheck>
    </ClCompile>
    <Link>
      <SubSystem>Windows</SubSystem>
      <EnableCOMDATFolding>true</EnableCOMDATFolding>
      <OptimizeReferences>true</OptimizeReferences>
      <AdditionalLibraryDirectories>$(SolutionDir)$(Platform)\$(Configuration)\lib</AdditionalLibraryDirectories>
      <AdditionalDependencies>vpserio.lib;vplibusb.lib;libusb-1.0.lib;kernel32.lib;user32.lib;gdi32.lib;winspool.lib;comdlg32.lib;advapi32.lib;shell32.lib;ole32.lib;oleaut32.lib;uuid.lib;odbc32.lib;odbccp32.lib;%(AdditionalDependencies)</AdditionalDependencies>
    </Link>
    <PostBuildEvent>
      <Command>@echo POST-BUILD-EVENT $(ProjectName) $(Platform) $(Configuration)
@xcopy /F /Y /D $(ProjectDir)Inc\*.h "$(SolutionDir)Inc\"
@xcopy /F /Y /D  $(TargetPath) "$(SolutionDir)..\VPuny\LetsTryShooter\$(Configuration)_Build_$(Platform)\LetsTryShooter_Data\Plugins\"
@xcopy /F /Y /D  $(TargetPath) "$(SolutionDir)..\VPuny\LetsTryShooter\Assets\Plugins\"</Command>
    </PostBuildEvent>
    <PreBuildEvent>
      <Command>if not exist "$(SolutionDir)Inc" mkdir "$(SolutionDir)Inc"</Command>
    </PreBuildEvent>
  </ItemDefinitionGroup>
  <ItemGroup>
    <Text Include="ReadMe.txt" />
  </ItemGroup>
  <ItemGroup>
    <ClInclude Include="CriticalSection.h" />
    <ClInclude Include="Inc\ViperInterface-working.h" />
    <ClInclude Include="Inc\ViperInterface.h" />
    <ClInclude Include="Inc\VPcmdDefs.h" />
    <ClInclude Include="Inc\VPcmdErr.h" />
    <ClInclude Include="Inc\VPCmdIF.h" />
    <ClInclude Include="Inc\VPif.h" />
    <ClInclude Include="Inc\VPtrace.h" />
    <ClInclude Include="LogFile.h" />
    <ClInclude Include="PDebug.h" />
    <ClInclude Include="PTTypeDefs.h" />
    <ClInclude Include="stdafx.h" />
    <ClInclude Include="stdformat.h" />
    <ClInclude Include="targetver.h" />
    <ClInclude Include="VPcmdDefsi.h" />
    <ClInclude Include="VPcontext.h" />
    <ClInclude Include="VPdevIO.h" />
    <ClInclude Include="VPmat3x3.h" />
    <ClInclude Include="VPmathUT.h" />
    <ClInclude Include="VPtracei.h" />
    <ClInclude Include="VPtypesUT.h" />
  </ItemGroup>
  <ItemGroup>
    <ClCompile Include="dllmain.cpp">
      <CompileAsManaged Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'">false</CompileAsManaged>
      <PrecompiledHeader Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'">
      </PrecompiledHeader>
      <CompileAsManaged Condition="'$(Configuration)|$(Platform)'=='Debug|x64'">false</CompileAsManaged>
      <PrecompiledHeader Condition="'$(Configuration)|$(Platform)'=='Debug|x64'">
      </PrecompiledHeader>
      <CompileAsManaged Condition="'$(Configuration)|$(Platform)'=='Release|Win32'">false</CompileAsManaged>
      <PrecompiledHeader Condition="'$(Configuration)|$(Platform)'=='Release|Win32'">
      </PrecompiledHeader>
      <CompileAsManaged Condition="'$(Configuration)|$(Platform)'=='Release|x64'">false</CompileAsManaged>
      <PrecompiledHeader Condition="'$(Configuration)|$(Platform)'=='Release|x64'">
      </PrecompiledHeader>
    </ClCompile>
    <ClCompile Include="LogFile.cpp">
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Release|x64'">false</ExcludedFromBuild>
    </ClCompile>
    <ClCompile Include="PDebug.cpp" />
    <ClCompile Include="stdafx.cpp" />
    <ClCompile Include="stdformat.cpp" />
    <ClCompile Include="ViperInterface.c">
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'">false</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Release|Win32'">false</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Debug|x64'">false</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Release|x64'">false</ExcludedFromBuild>
    </ClCompile>
    <ClCompile Include="VPCmdIF.cpp" />
    <ClCompile Include="VPcontext.cpp" />
    <ClCompile Include="VPdevIO.cpp" />
    <ClCompile Include="VPif.cpp">
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'">false</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Release|Win32'">false</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Debug|x64'">false</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Release|x64'">false</ExcludedFromBuild>
    </ClCompile>
    <ClCompile Include="VPmat3x3.cpp" />
    <ClCompile Include="VPmathUT.cpp" />
    <ClCompile Include="VPTrace.cpp" />
    <ClCompile Include="VPtypesUT.cpp" />
  </ItemGroup>
  <Import Project="$(VCTargetsPath)\Microsoft.Cpp.targets" />
  <ImportGroup Label="ExtensionTargets">
  </ImportGroup>
</Project>